MetalBorders.ToolBarBorder (Java Platform SE 8 )
Keywords: javax.swing.plaf.metal.MetalBorders.ToolBarBorder class
Date: 2026-01-21

javax.swing.plaf.metal

## Class MetalBorders.ToolBarBorder

- java.lang.Object
- - javax.swing.border.AbstractBorder
  - - javax.swing.plaf.metal.MetalBorders.ToolBarBorder

- All Implemented Interfaces:
    Serializable, Border, UIResource, SwingConstants
  Enclosing class:
    MetalBorders

      public static class MetalBorders.ToolBarBorder
      extends AbstractBorder
      implements UIResource, SwingConstants

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected javax.swing.plaf.metal.MetalBumps` | `bumps`

    - ### Fields inherited from interface javax.swing.SwingConstants

      `BOTTOM, CENTER, EAST, HORIZONTAL, LEADING, LEFT, NEXT, NORTH, NORTH_EAST, NORTH_WEST, PREVIOUS, RIGHT, SOUTH, SOUTH_EAST, SOUTH_WEST, TOP, TRAILING, VERTICAL, WEST`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ToolBarBorder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Insets` | `getBorderInsets(Component c, Insets newInsets)` Reinitializes the insets parameter with this Border's current Insets.
    `void` | `paintBorder(Component c, Graphics g, int x, int y, int w, int h)` This default implementation does no painting.

    - ### Methods inherited from class javax.swing.border.AbstractBorder

      `getBaseline, getBaselineResizeBehavior, getBorderInsets, getInteriorRectangle, getInteriorRectangle, isBorderOpaque`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### bumps

          protected javax.swing.plaf.metal.MetalBumps bumps

  - ### Constructor Detail

    - #### ToolBarBorder

          public ToolBarBorder()

  - ### Method Detail

    - #### paintBorder

          public void paintBorder(Component c,
                                  Graphics g,
                                  int x,
                                  int y,
                                  int w,
                                  int h)

      Description copied from class: `AbstractBorder`
      This default implementation does no painting.
      Specified by:
        `paintBorder` in interface `Border`
      Overrides:
        `paintBorder` in class `AbstractBorder`
      Parameters:
        `c` - the component for which this border is being painted
        `g` - the paint graphics
        `x` - the x position of the painted border
        `y` - the y position of the painted border
        `w` - the width of the painted border
        `h` - the height of the painted border

    - #### getBorderInsets

          public Insets getBorderInsets(Component c,
                                        Insets newInsets)

      Description copied from class: `AbstractBorder`
      Reinitializes the insets parameter with this Border's current Insets.
      Overrides:
        `getBorderInsets` in class `AbstractBorder`
      Parameters:
        `c` - the component for which this border insets value applies
        `newInsets` - the object to be reinitialized
      Returns:
        the `insets` object

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.